org.apache.solr.handler.dataimport

## Class SqlEscapingEvaluator

- java.lang.Object
- - org.apache.solr.handler.dataimport.Evaluator
  - - org.apache.solr.handler.dataimport.SqlEscapingEvaluator

-     public class SqlEscapingEvaluator
      extends Evaluator

  Escapes values in SQL queries. It escapes the value of the given expression by replacing all occurrences of single-quotes by two single-quotes and similarily for double-quotes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.handler.dataimport.Evaluator

      `Evaluator.VariableWrapper`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.handler.dataimport.Evaluator

      `DATE_FORMAT_EVALUATOR, ESCAPE_SOLR_QUERY_CHARS, SQL_ESCAPE_EVALUATOR, URL_ENCODE_EVALUATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SqlEscapingEvaluator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `evaluate(String expression, Context context)` Return a String after processing an expression and a `VariableResolver`

    - ### Methods inherited from class org.apache.solr.handler.dataimport.Evaluator

      `getVariableWrapper, parseParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SqlEscapingEvaluator

          public SqlEscapingEvaluator()

  - ### Method Detail

    - #### evaluate

          public String evaluate(String expression,
                                 Context context)

      Description copied from class: `Evaluator`
      Return a String after processing an expression and a `VariableResolver`
      Specified by:
        `evaluate` in class `Evaluator`
      Parameters:
        `expression` - string to be evaluated
        `context` - instance
      Returns:
        the value of the given expression evaluated using the resolver
      See Also:
        `VariableResolver`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.